#
# spec file for package cromfs
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cromfs
Version:        1.5.10.2
Release:        1.2
Summary:        Compressed read-only filesystem tools
License:        GPL-3.0
Group:          System/Filesystems
Url:            http://bisqwit.iki.fi/source/cromfs.html
Source:         http://bisqwit.iki.fi/src/arch/cromfs-%{version}.tar.bz2
BuildRequires:  fuse-devel
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Compressed read-only filesystem fuse driver and tools. Efficient way to store
and easy access data.

%prep
%setup -q

%build
# not a real configure script, that's why we don't use configure macro ...
./configure
# not parallel safe
make -j1

%install
make install DESTDIR="%buidlroot"
install -d %{buildroot}%{_bindir}
install install/progs/cromfs-driver	%{buildroot}%{_bindir}
install install/progs/cvcromfs		%{buildroot}%{_bindir}
install install/progs/mkcromfs		%{buildroot}%{_bindir}
install install/progs/unmkcromfs	%{buildroot}%{_bindir}

%files
%defattr(-,root,root)
%doc install/docs/*
%{_bindir}/*

%changelog
* Thu Jul 23 2015 dsterba@suse.com
- update to version 1.5.10.2
  - Compilation fixes (thanks Vitaly _Vi Shukela)
- update to version  1.5.10.1
  - Compilation fixes for GCC 4.7 (thanks Gaetan bisson)
  - Compilation workarounds on Arm platforms (thanks Tomas Cech)
  - Misc. patches by Tomas Cech
- Removed patches:
  * 0001-Make-static-build-optional-for-install-phase.patch
  * 0001-show-total-number-of-fblocks-in-the-output.patch
  * oS12.2-fix.patch
* Mon Dec  3 2012 sleep_walker@suse.cz
- fix %%make_install for non-openSUSE distros
* Mon Dec  3 2012 sleep_walker@suse.cz
- fix openSUSE_12.2 build
  - having look at all warnings I don't recommend using this for
    valuable data
* Fri May 25 2012 jengelh@inai.de
- Remove redundant tags/sections from specfile
- Disable parallel build - does not work reliably
* Tue Aug 23 2011 sleep_walker@suse.cz
- show total number of fblocks in mkcromfs output
* Tue Aug 16 2011 sleep_walker@suse.cz
- spec file clean-up
* Mon Aug 15 2011 sleep_walker@suse.cz
- initial commit
